/************************************************************************/
/*                                                                      */
/*  Linker Script File                                                  */
/*                                                                      */
/************************************************************************/
/* We have the following memory area's. 							    */
MEMORY	{ RAM		(rwx) : ORIGIN = 0x00014000, LENGTH = 0x0003800	}
MEMORY	{ FLASH		(rx)  : ORIGIN = 0xFFFE0000, LENGTH = 0x0010000	}  

SECTIONS
{
	.version 0xFFFE0000 : 
	{
		*(.version)
	} > FLASH
	
	.checksum 0xFFFE0010 : 
	{
		*(APP_INFO)
		__cs_end = .;
	} > FLASH

	PROGRAM __cs_end :
	{
		__text = .;
		*(APP_START)
		*(.OS_HEADER)
		*(.text)
		*(.text.*)
		*(P)
		*(.rodata)
		*(.rodata.*)
		*(C_1)
		*(C_2)
		*(C)
		__etext = . ;
	} > FLASH
	. = ALIGN(4);
	
	.data 0x00014000 : AT (__etext)
	{
		__data = .;
		*(.data)
		*(.data.*)
		*(D)
		*(D_1)
		*(D_2)
		__edata = .;
	} > RAM
	
	.bss (NOLOAD):
	{
		__bss = .;
		*(.bss)
		*(.bss.*)
		*(COMMON)
		*(B)
		*(B_1)
		*(B_2)
		__ebss = .;
	} > RAM

}